/*
 * CFGNET2.C - Dialogo de configuracao de Nat/Socks/Web-Aware
 */

 #define INCL_WIN
 #define INCL_DOSQUEUES

 #ifdef __BORLANDC__
    #include <bcos2.h>
 #else
    #include <os2.h>
 #endif

 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>

 #include <icqkernel.h>
 #include <pwicqnet.h>
 #include <icqplug.h>
 #include <icqwin.h>

 #include "resource.h"

/*---[ Definicoes/constantes ]--------------------------------------------------*/

/*---[ Prototipos ]-------------------------------------------------------------*/

 static void Configure(HWND, DLGINFO *);
 static void Save(HWND);
 static void ChkButton(HWND,short,short);
 MRESULT EXPENTRY netconf(HWND, ULONG, MPARAM, MPARAM);

/*---[ Implementacao ]----------------------------------------------------------*/

 #ifdef __BORLANDC__
    #pragma warn -parm
    #pragma warn -stu
    #pragma warn -eff
 #endif

 void EXPENTRY ICQConfigureNetwork(HICQ ctl, HWND ntbk)
 {
    char  buffer[0x0100];
    char  *text;
    ULONG id;
    HWND  dlg;

    dlg = WinLoadDlg(    ntbk,
                         ntbk,
                         netconf,
                         module,
                         CFG_SETWEB,
                         NULL);

    if(!dlg)
       return;

    id = LONGFROMMR(
                 WinSendMsg(     ntbk,
                                 BKM_INSERTPAGE,
                                 0,
                                 MPFROM2SHORT(BKA_AUTOPAGESIZE|BKA_STATUSTEXTON,BKA_LAST)));

    *buffer = 0;
    WinLoadString(       WinQueryAnchorBlock(ntbk),
                         module,
                         8500,
                         0x0100,
                         buffer);
    for(text = buffer;*text && *text != '.';text++);

    if(*text == '.')
       *(text++) = 0;

    WinSendMsg(ntbk,BKM_SETTABTEXT,MPFROMLONG(id),MPFROMP(buffer));
    WinSendMsg(ntbk,BKM_SETSTATUSLINETEXT,MPFROMLONG(id),MPFROMP(text));

    WinSendMsg(ntbk,     BKM_SETPAGEWINDOWHWND,
                         MPFROMLONG(id),MPFROMHWND(dlg));

 }

 MRESULT EXPENTRY netconf(HWND hwnd, ULONG msg, MPARAM mp1, MPARAM mp2)
 {

    switch(msg)
    {
    case WMICQD_HANDLE:
       Configure(hwnd, PVOIDFROMMP(mp1));
       break;

    case WM_CONTROL:
       ChkButton(hwnd,SHORT1FROMMP(mp1),SHORT2FROMMP(mp1));
       return WinDefDlgProc(hwnd,msg,mp1,mp2);

    case WMICQ_SAVE:
       Save(hwnd);
       break;

    default:
       return WinDefDlgProc(hwnd,msg,mp1,mp2);
    }

    return 0;
 }

 static void Configure(HWND hwnd, DLGINFO *dlg)
 {
    long work;

    WinSetWindowPtr(hwnd,QWL_USER,dlg);

    ICQLoadString(dlg->ctl,"Interfaces",0x0100,dlg->temp,"lan0,ppp0");
    WinSetDlgItemText(hwnd,TXT_INTERFACES,dlg->temp);

    WinEnableControl(hwnd,WEB_SCAN,FALSE);

    #ifdef ICQ_WEBENABLE
    work = ICQLoadLong(dlg->ctl,"WEBCHECK",0);
    switch(work & 0x0F)
    {
    case 0:
       WinCheckButton(hwnd,WEB_DISABLED,TRUE);
       break;

    case 1:
       WinCheckButton(hwnd,WEB_ENABLED,TRUE);
       break;

    case 2:
       WinCheckButton(hwnd,WEB_SCAN,TRUE);
       break;
    }
    #else
    WinEnableControl(hwnd,WEB_DISABLED,FALSE);
    WinEnableControl(hwnd,WEB_ENABLED,FALSE);
    WinEnableControl(hwnd,WEB_SCAN,FALSE);
    #endif

    switch(ICQLoadLong(dlg->ctl,"NATCHECK",2))
    {
    case 0:
       WinCheckButton(hwnd,NAT_AUTO,TRUE);
       break;

    case 1:
       WinCheckButton(hwnd,NAT_ENABLED,TRUE);
       break;

    case 2:
       WinCheckButton(hwnd,NAT_DISABLED,TRUE);
       break;
    }

    if(work & 0x80)
       WinCheckButton(hwnd,BTN_NAT,TRUE);
    else
       WinCheckButton(hwnd,BTN_NAT,FALSE);

    ChkButton(hwnd,0,0);

 }

 static void Save(HWND hwnd)
 {
    DLGINFO     *dlg = WinQueryWindowPtr(hwnd,QWL_USER);
    long        work;

    if(!dlg)
       return;

    work = 0;
    if(WinQueryButtonCheckstate(hwnd,WEB_ENABLED))
       work = 1;
    else if(WinQueryButtonCheckstate(hwnd,WEB_DISABLED))
       work = 0;
    else if(WinQueryButtonCheckstate(hwnd,WEB_SCAN))
       work = 2;

    if(WinQueryButtonCheckstate(hwnd,BTN_NAT))
       work |= 0x80;

    ICQSaveLong(dlg->ctl,"WEBCHECK",work);

    work = 0;
    if(WinQueryButtonCheckstate(hwnd,NAT_ENABLED))
       work = 1;
    else if(WinQueryButtonCheckstate(hwnd,NAT_DISABLED))
       work = 2;
    else if(WinQueryButtonCheckstate(hwnd,NAT_AUTO))
       work = 0;

    ICQSaveLong(dlg->ctl,"NATCHECK",work);

    WinQueryDlgItemText(hwnd,TXT_INTERFACES,0x0100,dlg->temp);
    ICQSaveString(dlg->ctl,"Interfaces",dlg->temp);

 }

 static void ChkButton(HWND hwnd,short id,short code)
 {
    BOOL chk =  WinQueryButtonCheckstate(hwnd,NAT_AUTO);
    WinEnableControl(hwnd,TXT_INTERFACES,chk);
    #ifdef ICQ_WEBENABLE
    WinEnableControl(hwnd,BTN_NAT,chk && !WinQueryButtonCheckstate(hwnd,WEB_DISABLED));
    #endif
 }


