/*
 * ICQMEM.C - Funcoes para acesso ao bloco de memoria compartilhada do pwICQ
 */

#define INCL_DOSERRORS
#include <string.h>

#include <pwicqapi.h>
#include <pwicqmem.h>

#include "icqqueue.h"

/*---[ Implementacao ]--------------------------------------------------------*/

ICQSHAREMEM *icqGetMemoryBlock(void)
{
   ICQSHAREMEM *shmArea;

   if(DosGetNamedSharedMem((PPVOID) &shmArea,PWICQ_SHAREMEM,PAG_READ))
      return NULL;

   if(shmArea->Version == PWICQ_MEM_VERSION
                && shmArea->szCheck == sizeof(ICQINFO)
                && shmArea->szBlock == sizeof(ICQSHAREMEM))
      return shmArea;

   DosFreeMem(shmArea);
   return NULL;
}


