/*
 * isON.C - Check if the UIN requested is online
 */

#include <pwicqapi.h>
#include <pwicqmem.h>

#include <icqqueue.h>

/*---[ Implementacao ]--------------------------------------------------------*/

BOOL icqIsOnline(ULONG uin)
{
   int		f;
   BOOL		ret	 = FALSE;
   ICQSHAREMEM  *shmArea = icqGetMemoryBlock();

   if(shmArea)
   {
      for(f=0;f<PWICQ_MAX_INSTANCES && shmArea->instance[f].uin != uin;f++);

      if(f < PWICQ_MAX_INSTANCES)
         ret = (shmArea->instance[f].flags & PWICQ_SHM_ONLINE) != 0;

      DosFreeMem(shmArea);
   }

   return ret;
}

