/*
 * ICQMEM.C - Funcoes para acesso ao bloco de memoria compartilhada do pwICQ
 */

#define INCL_DOSERRORS
#include <string.h>

#include <pwicqapi.h>
#include <pwicqmem.h>

#include <icqqueue.h>

/*---[ Prototipos ]-----------------------------------------------------------*/

static ULONG            doQueryCurrent(ICQSHAREMEM *);

/*---[ Implementacao ]--------------------------------------------------------*/

ULONG icqQueryCurrent(void)
{
   ICQSHAREMEM  *shmArea = icqGetMemoryBlock();
   ULONG        ret     = 0xFFFFFFFF;

   if(shmArea)
   {
      ret = doQueryCurrent(shmArea);
      DosFreeMem(shmArea);
   }

   return ret;
}

static ULONG doQueryCurrent(ICQSHAREMEM *shmArea)
{
   int  f;

   for(f=0;f<PWICQ_MAX_INSTANCES;f++)
   {
      if(shmArea->instance[f].uin && (shmArea->instance[f].flags & PWICQ_SHM_ONLINE))
         return shmArea->instance[f].uin;
   }

   for(f=0;f<PWICQ_MAX_INSTANCES;f++)
   {
      if(shmArea->instance[f].uin)
         return shmArea->instance[f].uin;
   }

   return 0xFFFFFFFF;
}


