/*
 * THREAD.C - Create and start a new thread
 */

#define INCL_DOSPROCESS
#define INCL_DOSERRORS
#include <os2.h>

#include <stdlib.h>

#include <pwicqapi.h>

/*---[ Definicoes ]-------------------------------------------------------------*/

typedef struct _parm
{
   BOOL flag;
   void (*start_address) (void *);
   void *arglist;
} PARM;

/*---[ Prototipos ]-------------------------------------------------------------*/

static void _System execThread(PARM *);

/*---[ Implementacao ]----------------------------------------------------------*/

int ICQStartThread(void (*start_address) (void *), unsigned stack_size, void *arglist)
{
   static PARM  p;
   TID          tid;

   p.flag          = TRUE;
   p.start_address = start_address;
   p.arglist       = arglist;

   if(DosCreateThread(&tid, (PFNTHREAD) execThread, (ULONG) &p, 0x00000002, stack_size))
      return -1;

   while(p.flag)
      DosSleep(1);

   return tid;
}

static void _System execThread(PARM *p)
{
   #pragma handler ( _Exception )

   void (*start_address)(void *)        = p->start_address;
   void *arglist                        = p->arglist;

   p->flag = FALSE;
   start_address(arglist);

   _endthread();
}


