/*
 * ICQPLG.H - pwICQ's core functions available to plugins
 */

#ifndef ICQPLUGIN_LOADED

 #define ICQPLUGIN_LOADED

 /*---[ History record types ]--------------------------------------------------------*/

 #define HST_RECEIVED   0x00
 #define HST_SERVER     0x01
 #define HST_DIRECT     0x02
 #define HST_CHAT 0x03

 #ifndef PWICQDLL_INCLUDED
    #include <pwicqdll.h>
 #endif

 /*---[ Services in ICQTOOLS.DLL ]----------------------------------------------------*/

 const char *   EXPENTRY ICQLoadString(HICQ, const char *, int, char *, const char *);
 const char *   EXPENTRY ICQSaveString(HICQ, const char *, const char *);
 ULONG          EXPENTRY ICQLoadLong(HICQ,const char *, ULONG);
 ULONG          EXPENTRY ICQSaveLong(HICQ,const char *, ULONG);
 void           EXPENTRY ICQSaveDlgText(DLGINFO *, HWND, short, const char *);
 void           EXPENTRY ICQLoadDlgText(DLGINFO *, HWND, short, const char *);

 HWND           EXPENTRY ICQMntDialog(HWND, USHORT, PFNWP, HMODULE, ULONG, int);
 ULONG          EXPENTRY ICQMessageBox(HICQ, HWND, HMODULE, USHORT, ULONG);

 void           EXPENTRY ICQLoadModeFlags(HWND, USHORT, USHORT, const char *, ULONG, DLGINFO *);
 void           EXPENTRY ICQSaveModeFlags(HWND, USHORT, USHORT, const char *, DLGINFO *);
 BOOL           EXPENTRY ICQQueryModeFlag(HICQ, ULONG);
 USHORT         EXPENTRY ICQQueryModeName(HICQ, int, char *, ULONG *);

 int            EXPENTRY ICQQueryLocalCodepage(HICQ);

 int            EXPENTRY ICQSendHTTPRequest(HICQ, const char *, const char *, long *);
 int            EXPENTRY ICQhttpRecv(HICQ, int, char *, int);

 void           EXPENTRY ICQOpenURL(HICQ,const char *);
 void           EXPENTRY ICQOpenWhitePage(HICQ, ULONG );
 void           EXPENTRY ICQCreateURLObject(HICQ,const char *, const char *);

 ULONG          EXPENTRY ICQSaveRadioButton(DLGINFO *, HWND, SHORT, const char *, const short *);
 void           EXPENTRY ICQLoadRadioButton(DLGINFO *, HWND, SHORT, const char *, int, const short *);

 const ULONG *  EXPENTRY ICQQueryModes(void);
 char *         EXPENTRY ICQModeDescr(HICQ, ULONG, char *);

 const char *   EXPENTRY ICQLoadUserDB(HICQ, HUSER, const char *, int, char *);
 const char *   EXPENTRY ICQSaveUserDB(HICQ, HUSER, const char *, const char *);

 void           EXPENTRY ICQDlgLoadUserDB(DLGINFO *, HWND, short, const char *, int, char *);
 void           EXPENTRY ICQDlgSaveUserDB(DLGINFO *, HWND, short, const char *, int, char *);
 void           EXPENTRY ICQDlgLoadUserCountry(DLGINFO *, HWND, short, const char *);
 void           EXPENTRY ICQDlgSaveUserCountry(DLGINFO *, HWND, short, const char *);

 const char *   EXPENTRY ICQQueryProfileString(HICQ, const char *, const char *, const char *, char *, int);
 const char *   EXPENTRY ICQQueryPrfString(HINI, const char *, const char *, const char *, char *, int);

 BOOL           EXPENTRY ICQLoadCtryList(HICQ, ULONG, HWND, USHORT);

 void           EXPENTRY ICQStoreWindowPos(HICQ,HUSER,HWND,const char *);
 void           EXPENTRY ICQRestoreWindowPos(HICQ,HUSER,HWND,const char *, short, short);

 APIRET         EXPENTRY ICQSetEA(const char *, const char *, const char *);

 int            EXPENTRY ICQStartThread(HICQ, void (* _System)(void *), unsigned int, void *, const char *);

 long		EXPENTRY ICQQueryConfirmedHostID(HICQ);

 /*---[ Exported plugin functions ]---------------------------------------------------*/

 int            EXPENTRY ICQPConfigure(HICQ, HMODULE);
 void           EXPENTRY ICQPInitialize(HICQ,HWND);
 void           EXPENTRY ICQPTerminate(HICQ);
 void           EXPENTRY ICQPAddConfigPage(HICQ, HWND);
 void           EXPENTRY ICQPAddUserPage(HICQ, HUSER, HWND);
 void           EXPENTRY ICQPOpen(HICQ, HUSER, HWND);
 BOOL           EXPENTRY ICQPMessageReceived(HICQ, long, USRMSG *);
 void           EXPENTRY ICQPMessageChanged(HICQ, ULONG, USRMSG *);
 void           EXPENTRY ICQPSystemEvent(HICQ,short);
 void           EXPENTRY ICQPUserEvent(HICQ,HUSER,short);
 void           EXPENTRY ICQPMenu(HICQ,HUSER,USHORT,HWND);
 int            EXPENTRY ICQPAddMsgButtons(HICQ,HWND,int);
 BOOL           EXPENTRY ICQPValidateMessage(HICQ, ULONG, HUSER, short, int, char *);

 int            EXPENTRY ICQPExternCMD(HICQ, int, char *);

#endif
