/*
 * ICQWIN.H - pwICQ window messages
 */


#ifdef WM_USER

   /* Eventos */
   #define WMICQ_START     WM_USER+1101 /* Starting (MP1 = HICQ, MP2 = uin) */
   #define WMICQ_NETWORK   WM_USER+1102 /* Evento de rede (MP1 = Evento, MP2 = size) */
   #define WMICQ_SYSTEM    WM_USER+1103 /* Evento de sistema (MP1 = Evento, MP2 = mode) */
   #define WMICQ_USER      WM_USER+1104 /* Evento de usuario (MP1 = Evento, MP2 = HUSER) */
   #define WMICQ_CONFIG    WM_USER+1105 /* Carregar configuracao (MP1 = HICQ, MP2 = INI) */
   #define WMICQ_UPDATE    WM_USER+1106 /* Vai redesenhar lista de usuarios (MP1=Inicio/final,MP2=Filtro) */
   #define WMICQ_CHAT      WM_USER+1107 /* Evento de chat (MP1=Evento, MP2=CHATINFO *) */
   #define WMICQ_FILE      WM_USER+1108 /* Evento de arquivo (MP1=Evento, MP2=ICQFILE) */

   #define WMICQ_WARNING   WM_USER+1110 /* Alerta (MP1=Numero/Pos, MP2=ID) */
   #define WMICQ_ERROR     WM_USER+1111 /* Erro (MP1=Numero/Pos, MP2=ID) */
   #define WMICQ_SOCKET    WM_USER+1112 /* Socket error (MP1 = Numero/Pos MP2=sock_errno()) */
   #define WMICQ_ABORT     WM_USER+1113 /* Erro fatal, apresentar e abortar (MP1=Numero/Pos, MP2=ID) */
   #define WMICQ_MMERROR   WM_USER+1114 /* Erro de multimidia (MP1=NUM MP2=Play/Stop) */
   #define WMICQ_MMMSG     WM_USER+1115 /* Mensagem de erro de multimedia */

   /* Mensagems/chat */
   #define WMICQ_SYSMSG    WM_USER+1151 /* Mensagem de sistema (MP1 = SYSMSG *) */
   #define WMICQ_USRMSG    WM_USER+1152 /* Mensagem de usuario (MP1 = HUSER, MP2 = USRMSG *) */
   #define WMICQ_CHATLINE  WM_USER+1153 /* Linha de chat recebida (MP1=string,MP2=CHATINFO *) */
   #define WMICQ_INIT      WM_USER+1154 /* Inicializa a janela (MP1=HICQ) */
   #define WMICQ_OFFLINE   WM_USER+1155 /* Usuario do outro lado saiu */
   #define WMICQ_CHAR      WM_USER+1156 /* Chegou uma tecla (MP1=tecla, MP2 = CHATINFO *); */
   #define WMICQ_PARM      WM_USER+1157 /* Mudanca de parametros (MP1=id, MP2= CHATINFO *) */
   #define WMICQ_HCHAT     WM_USER+1158 /* Define handle do chat (MP1=void *, MP2=ctl) */
   #define WMICQ_SETICON   WM_USER+1159 /* Seta o icone de uma janela de mensagem (MP1=hFRAME, MP2=Tipo/Pos) */
   #define WMICQ_PLUGIN    WM_USER+1160 /* Plugin envia um texto (MP1=char *) */
   #define WMICQ_EVTMSG    WM_USER+1161 /* Message event (MP1=UIN,MP2=HUSER) */

   /* Janela principal */
   #define WMICQ_USRADD    WM_USER+1201 /* Anexa usuario (MP1 = HUSER, MP2 = NICK) */
   #define WMICQ_USRSEP    WM_USER+1202 /* Anexa separador (MP1 = Tipo) */
   #define WMICQ_REFRESH   WM_USER+1203 /* Redesenha usuarios */
   #define WMICQ_USERINFO  WM_USER+1204 /* Chegou atualizacao de usuario (MP1=HUSER, MP2=SEQ) */
   #define WMICQ_OPENEDIT  WM_USER+1205 /* Abrir edicao para o usuario (MP1=UIN) */
   #define WMICQ_ACTION    WM_USER+1206 /* Remote action request (MP1=ID) */

   /* Diversos */
   #define WMICQ_CONCT     WM_USER+1250 /* Animacao do botao de connect (MP1=POS) */
   #define WMICQ_NEXT      WM_USER+1251 /* Situacao do botao de Read-Next (MP1=TRUE/FALSE) */
   #define WMICQ_SYSMODE   WM_USER+1252 /* Modo do sistema (MP1= TRUE/FALSE MP2=System online mode) */
   #define WMICQ_USRMODE   WM_USER+1253 /* Modo do usuario (MP1= TRUE/FALSE MP2=User online mode) */
   #define WMICQ_SETHANDLE WM_USER+1254 /* Configura o handle da conexao (MP1=HICQ, MP2=HUSER) */
   #define WMICQ_SYSBLINK  WM_USER+1255 /* Pisca botao do sistema (MP1=Codigo,MP2=POS) */
   #define WMICQ_TITLE     WM_USER+1256 /* Configura o titulo da janela (MP1=STRING, MP2=TYPE/POS) */
   #define WMICQ_STATUS    WM_USER+1257 /* Mensagem de status (MP1=Codigo, MP2=Info (char *)) */
   #define WMICQ_CHANGED   WM_USER+1258 /* Dados do usuario corrente foram trocados */
   #define WMICQ_SAVE      WM_USER+1259 /* Salvar configuracao/dados do usuario */
   #define WMICQ_CANCEL    WM_USER+1260 /* Cancelar alteracoes */
   #define WMICQ_SHOW      WM_USER+1261 /* Mostra a janela */
   #define WMICQ_SOUND     WM_USER+1262 /* Mensagem de audio (MP1=Iniciando/terminando) */
   #define WMICQ_TCP       WM_USER+1263 /* Recebida conexao TCP de usuario (MP1=UIN,MP2=HUSER) */
   #define WMICQ_IDLE      WM_USER+1264 /* 1 tick por minuto para a janela de chat (MP1=tempo IDLE) */
   #define WMICQ_FSTATUS   WM_USER+1265 /* Situacao de transferencia de arquivo (MP1=tempo IDLE, MP2= REQUEST *) */
   #define WMICQ_READY     WM_USER+1266 /* Sistema pronto (MP1=BOOL) */
   #define WMICQ_FILEERR   WM_USER+1267 /* Erro no acesso a arquivo (MP1=valor) */
   #define WMICQ_MINUTE    WM_USER+1268 /* One by minute to all windows (MP1=HICQ, MP2=DATETIME *) */
   #define WMICQ_ADDMENU   WM_USER+1269 /* Used by plugin manager (MP1=ADDMENU *) */
   #define WMICQ_USRINFO   WM_USER+1270 /* User info received (MP1=UIN, MP2=query_type,response_type) */
   #define WMICQ_EXTSEARCH WM_USER+1271 /* Extended info request status (MP1=uin, MP2=bool) */
   #define WMICQ_BTNSYM    WM_USER+1272 /* Set ICQButton bitmap */
   #define WMICQ_SECOND    WM_USER+1273 /* 1 tick por segundo para a janela principal */
   #define WMICQ_VISIBLE   WM_USER+1274 /* Show/Hide Window MP1=BOOL */

   /* Pesquisa */
   #define WMICQS_START    WM_USER+1300 /* Pesquisa foi iniciada (MP1=Id)  */
   #define WMICQS_END      WM_USER+1301 /* Pesquisa foi terminada (MP1=Id, MP2=More) */
   #define WMICQS_FOUND    WM_USER+1302 /* Usuario encontrado(MP1=Id, MP2=Buffer[Limpar apos copiar]) */
   #define WMICQS_CLOSE    WM_USER+1303 /* Pesquisa foi fechada (MP1=Id) */
   #define WMICQS_TIMEOUT  WM_USER+1304 /* Timeout na pesquisa (MP1=Id) */

   /* Janela de ediao/visualizacao de mensagems */
   #define WMICQM_SETMSG   WM_USER+1257 /* Configura mensagem (MP1=UIN, MP2=USRMSG *) */
   #define WMICQM_SET      WM_USER+1350 /* Seta um campo na janela (MP1=ID, MP2= (char *) ) */
   #define WMICQM_ENABLE   WM_USER+1351 /* Liga/desliga botao na janela (MP1=ID, MP2= BOOL) */
   #define WMICQM_ADDNEW   WM_USER+1352 /* Liga desliga botoes de request/add (MP1=BOOL) */
   #define WMICQM_READY    WM_USER+1353 /* Janela preenchida, pode mostrar */
   #define WMICQM_RECONFIG WM_USER+1354 /* Reconfigura janela (MP1=Novo tipo) */

   /* Dialogs only */
   #define WMICQD_HANDLE   WM_USER+1400 /* Configura dialogo (MP1=DLGINFO *) */
   #define WMICQD_START    WM_USER+1401 /* Starting */

#endif


