/*
 * pwICQDLL.H - Services available in pwICQDLL.DLL
 */

#ifndef PWICQDLL_INCLUDED

   #define PWICQDLL_INCLUDED

   #ifndef PWICQDEF_INCLUDED
      #include <pwicqdef.h>
   #endif

   /* Initialization, main window's register/deregister */
   HICQ         EXPENTRY ICQStart(long, const char *, HINI);
   ULONG        EXPENTRY ICQNewUser(HINI,HWND);
   int          EXPENTRY ICQStop(HICQ);

   BOOL         EXPENTRY ICQRegister(HICQ, HWND);
   BOOL         EXPENTRY ICQDeRegister(HICQ, HWND);

   void         EXPENTRY ICQCreateObject(HICQ);

   /* pwICQ's heap management (USE WITH EXTREME CAUTION) */
   void *       EXPENTRY ICQAllocMemory(HICQ,USHORT);
   void         EXPENTRY ICQFreeMemory(HICQ,void *);

   #ifdef MEMMGR
      MEMMGR *  EXPENTRY obsQueryMemoryManager(HICQ);
   #endif

   /* Search functions */
   BOOL         EXPENTRY ICQCanRequestUserInfo(HICQ);

   /* Contact-list management */
   void         EXPENTRY ICQSetAllUsersFlag(HICQ,ULONG);
   HUSER        EXPENTRY ICQAddUser(HICQ,long,const char *, const char *, const char *, const char *, const char *, long);
   HUSER        EXPENTRY ICQAddNewUser(HICQ,long,const char *, const char *, const char *, const char *);
   void         EXPENTRY ICQDeleteUser(HUSER);
   void         EXPENTRY ICQPopulateUsersList(HICQ, HWND);

   /* Get user information */
   HUSER        EXPENTRY ICQQueryUser(HICQ,ULONG);
   const char * EXPENTRY ICQQueryNick(HICQ,HUSER);
   const char * EXPENTRY ICQQueryUserNick(HUSER);
   const char * EXPENTRY ICQQueryUserEmail(HUSER);
   const char * EXPENTRY ICQQueryUserFirstName(HUSER);
   const char * EXPENTRY ICQQueryUserLastName(HUSER);
   const char * EXPENTRY ICQQueryUserSound(HUSER);

   /* Auto away/Auto restore */
   void         EXPENTRY ICQRegisterAction(HICQ);

   /* Message information */
   USHORT       EXPENTRY ICQQueryMsgTitle(HICQ, const USRMSG *, const char *, int sz, char *);

   /* Message manager */
   BOOL         EXPENTRY ICQQueueMessage(HICQ, ULONG, USHORT, char *, char *);
   void         EXPENTRY ICQUserClick(HUSER,BOOL);
   void         EXPENTRY ICQSystemClick(HICQ);
   BOOL         EXPENTRY ICQMsgDirect(HICQ, HWND, long, short, char *, char *, USHORT);

   /* Generic functions */
   HINI         EXPENTRY ICQQueryInifile(HICQ);
   HWND         EXPENTRY ICQQueryMainWindow(HICQ);
   void         EXPENTRY ICQWriteSysLog(HICQ,const char *);
   void         EXPENTRY ICQHistory(HICQ, HUSER, ICQDATE *, USHORT, char *, const char);
   ULONG        EXPENTRY ICQQueryUin(HICQ);
   void         EXPENTRY ICQConvertCpg(HICQ,UCHAR *,BOOL);

   void         EXPENTRY ICQRegisterDialog(HICQ, int, HWND);
   BOOL         EXPENTRY ICQOpenWindow(HICQ, HUSER, HWND, const char *, HWND (* _System)(HICQ, HWND, void *),void *);
   char *       EXPENTRY ICQLoadMsg(HAB, short, short, char *);

#endif