/*
 * PWICQMEM.H - Definitions for the pwICQ's shared memory block
 */

#ifndef PWICQMEM_INCLUDED

 #ifndef PWICQDEF_INCLUDED
    #include <pwicqdef.h>
 #endif

 #define PWICQMEM_INCLUDED

 #define PWICQ_MEM_VERSION      0x2903
 #define PWICQ_MAX_INSTANCES    10

 #define PWICQ_SHAREMEM         "\\SHAREMEM\\pwICQ"

 #pragma pack(1)

 typedef struct icqinfo
 {
    ULONG       uin;                            /* User's UIN */
    HWND        hwnd;                           /* Main Window handle */

    ULONG       flags;                          /* Flags                                */
    #define PWICQ_SHM_LOCKUP    0x00000001      /* System lockup detected               */
    #define PWICQ_SHM_ONLINE    0x00000002      /* pwICQ is Online                      */
    #define PWICQ_SHM_KEYBOARD  0x00000004      /* Keyboard activity detected           */
    #define PWICQ_SHM_LOCKED    0x00000008      /* System lockup processed              */
    #define PWICQ_SHM_UNLOCK    0x00000010      /* Unlock requested                     */

    ULONG       mode;                           /* Current mode (valid only if online)  */

    /* Current pending event status */
    ULONG       eventUIN;                       /* Current pending user */
    USHORT      eventType;                      /* Pending event type */
    #define PWICQ_SHM_NOEVENT 0xFFFF            /* No user pending event */

    /* Last event status */
    USHORT      eventCounter;                   /* Count events */
    UCHAR       lastEventType;                  /* Last event type */
    ULONG       lastEventUIN;                   /* Last event user UIN */
    USHORT      lastEventCode;                  /* Last event code */

 } ICQINFO;

 typedef struct icqshmemBlock
 {
    USHORT      Version;                /* Version ID                          */
    USHORT      szCheck;                /* Current sizeof(ICQINFO)             */
    USHORT      szBlock;                /* Current sizeof(ICQSHAREMEM)         */
    USHORT      active;                 /* Number of active clients            */
    ICQINFO     instance[PWICQ_MAX_INSTANCES];
 } ICQSHAREMEM;

 ICQINFO    * EXPENTRY ICQQueryInfoBlock(HICQ);


#endif

