/*
 * ICQDDUP.C    pwICQ plugin to update the dynDNS information
 *
 *              Send the information change only when the confirmed IP address
 *              changes. Usefull for some ADSL users
 */

#include <os2.h>

#include <stdio.h>
#include <string.h>
#include <process.h>

#include <pwicqapi.h>
#include <icqwin.h>
#include <icqplug.h>
#include <pwicqnet.h>

/*----------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------*/

 int EXPENTRY ICQPConfigure(HICQ icq, HMODULE mod)
 {
    /*
     *
     * PLUGIN configuration routine, the first called by pwICQ, if returns
     * nonzero the plugin is unloaded
     *
     */
    #ifdef LOG_ALL
       char buffer[0x0200];
    #endif

    ICQWriteSysLog(icq,"ICQDDUP loaded (Build " __DATE__ " " __TIME__ ")");

    return 0;
 }

 void EXPENTRY ICQPSystemEvent(HICQ icq,short eventCode)
 {
    /*
     * Called in every system event
     *
     * Event codes in pwICQ.H (#define EVT_*)
     *
     */
    long hostid;
    char buffer[0x0200];
    char *ptr;
    int  rc;

    if(eventCode == EVT_ONLINE)
    {
       /* pwICQ is online, check the confirmed IP address */
       hostid = ICQQueryConfirmedHostID(icq);

       if(hostid != ICQLoadLong(icq, "ICQDDUP:IP", 0))
       {
          strcpy(buffer,"ICQDDUP: Confirmed Address has changed to ");
          strcpy(ptr = (buffer+strlen(buffer)),ICQFormatIP(hostid));
          ICQWriteSysLog(icq,buffer);
          ICQLoadString(icq, "ICQDDUP:cmd", 0xFF, buffer, "");

          if(*buffer)
          {
             rc = system(buffer);
             sprintf(buffer+strlen(buffer)," (rc=%d)",rc);
             ICQWriteSysLog(icq,buffer);
             ICQSaveLong(icq, "ICQDDUP:IP", hostid);
          }
          else
          {
             ICQWriteSysLog(icq,"ICQDDUP: DDUP command line wasn't defined");
          }

       }
    }
 }



