/*
 * SAMPLE.C	pwICQ sample plugin
 *
 *              This module uses all of the currently implemented functions
 *		you can remove the unused functions if you want.
 *
 */

 #define INCL_WIN

 #ifdef _NCLIB_
    #include <nclib.h>
 #else
    #include <os2.h>
 #endif

 #include <pwicqapi.h>	/* Basic API 			*/
 #include <icqplug.h>	/* Plugin API			*/
 #include <icqwin.h>	/* Window messages		*/

/*----------------------------------------------------------------------------*/

 static void addPage(HWND, PSZ);

/*----------------------------------------------------------------------------*/

 void EXPENTRY ICQPInitialize(HICQ icq,HWND hwnd)
 {
    /*
     * Initialize
     */

 }

 void EXPENTRY ICQPTerminate(HICQ icq)
 {
    /*
     * Finalize
     */

 }

 void EXPENTRY ICQPAddConfigPage(HICQ icq, HWND ntbk)
 {
    /*
     * Loads a dialog for the pwICQ's configuration notebook
     *
     * Parameters:
     *
     * HICQ icq 	- Handle of the ICQ connection used to call pwICQ's library functions
     * HWND ntbk	- Handle of the notebook window
     *
     * Note:
     *
     * The created window will receive the following messages:
     *
     * WMICQD_HANDLE	- Passed to initialize the dialog
     * WMICQ_SAVE	- Passed if the user clicks on the "save" button
     * WMICQ_CANCEL	- Passed if the user clicks on the "cancel" button
     *
     */
    addPage(ntbk,"Sample plugin: System configuration dialog");
 }

 void EXPENTRY ICQPAddUserPage(HICQ icq, HUSER usr, HWND ntbk)
 {
    /*
     * Loads a dialog for the User's configuration notebook
     * Note:
     *
     *
     * Parameters:
     *
     * HICQ  icq 	- Handle of the ICQ connection used to call pwICQ's library functions
     * HUSER usr	- Handle of the ICQ's contact list with "owns" this page
     * HWND  ntbk	- Handle of the notebook window
     *
     * The created window will receive the following messages:
     *
     * WMICQD_HANDLE	- Passed to initialize the dialog
     * WMICQ_SAVE	- Passed if the user clicks on the "save" button
     * WMICQ_CANCEL	- Passed if the user clicks on the "cancel" button
     *
     */
    addPage(ntbk,"Sample plugin: User configuration dialog");
 }

 void EXPENTRY ICQPMenu(HICQ icq,HUSER usr,USHORT option,HWND hwnd)
 {
    /*
     * Menu procedure, called when a menu option is selected
     *
     * To add/remove menu options ajust the correct entries in the .RC file
     *
     * Parameters:
     *
     * HICQ   icq	- Handle of the ICQ connection (used in the pwICQ's library functions)
     * HUSER  usr	- Handle of the ICQ's contact list with requests the option
     * USHORT option   	- ID of the selected menu or 98 for the message edit window
     * HWND   hwnd	- Handle of the Active Window  (can be NULLHANDLE)
     *
     */
    char temp[0x0100];
    char *ptr;

    switch(option)
    {
    case MNU_USER:
       ptr = "User's menu selected";
       break;

    case MNU_SCRIPT:
       ptr = "Script menu selected";
       if(hwnd != NULLHANDLE)
	  WinSendMsg(hwnd,WMICQ_PLUGIN,MPFROMP(ptr),0);
       break;

    case MNU_SYSTEM:
       ptr = "By Perry Werneck <perryw@zaz.com.br>";
       break;

    case 98:
       ptr = "Message Window button selected";
       if(hwnd != NULLHANDLE)
	  WinSendMsg(hwnd,WMICQ_PLUGIN,MPFROMP(ptr),0);
       break;
    }

    WinMessageBox(	HWND_DESKTOP,
			ICQQueryMainWindow(icq),
			ptr,
			"pwICQ's Sample Plugin",
			0,
			MB_NOICON | MB_OK
		 );

 }

 void EXPENTRY ICQPSystemEvent(HICQ icq,short eventCode)
 {
    /*
     * Called in every system event
     *
     * Event codes in pwICQ.H (#define EVT_*)
     *
     */

 }

 void EXPENTRY ICQPUserEvent(HICQ icq, HUSER usr, short eventCode)
 {
    /*
     * Called in every user event
     *
     * Event codes in pwICQ.H (#define EVT_*)
     *
     */

 }

 static void addPage(HWND ntbk, PSZ text)
 {
    ULONG id;
    HWND  hwnd = WinCreateWindow(	ntbk,
					WC_STATIC,
					text,
					WS_VISIBLE|SS_TEXT|DT_CENTER|DT_VCENTER,
					0, 0,
					200, 100,
					NULLHANDLE,
					HWND_TOP,
					10000,
					NULL,
					NULL );
    if(hwnd == NULLHANDLE)
    {
       DosBeep(3000,100);
       return;
    }

    id = LONGFROMMR(
		WinSendMsg(	ntbk,	BKM_INSERTPAGE,
				0,
				MPFROM2SHORT(BKA_AUTOPAGESIZE|BKA_MAJOR|BKA_STATUSTEXTON,BKA_LAST)));

    WinSendMsg(ntbk,BKM_SETTABTEXT,MPFROMLONG(id),MPFROMP("Sample"));
    WinSendMsg(ntbk,BKM_SETSTATUSLINETEXT,MPFROMLONG(id),MPFROMP("Sample Plugin"));

    WinSendMsg(ntbk,BKM_SETPAGEWINDOWHWND,
		    MPFROMLONG(id),MPFROMHWND(hwnd));

 }


